package com.bonus.core.account.v4.web.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("acc_card")
@ApiModel("人员卡片资料表")
public class AccCard extends Model<AccCard> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("账户id")
   private Long accId;
   @ApiModelProperty("卡号")
   private Integer cardNum;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("卡类型")
   private Integer cardType;
   @ApiModelProperty("卡状态 1-正常 4-挂失")
   private Integer cardStatus;
   @ApiModelProperty("押金 单位分")
   private Integer deposit;
   @ApiModelProperty("工本费 单位分")
   private Integer productCost;
   @ApiModelProperty("待缴工本费金额 单位分")
   private Integer pendProductCost;
   @ApiModelProperty("卡片有效期")
   private LocalDate validityDate;
   @ApiModelProperty("预留字段1")
   private String reserved1;
   @ApiModelProperty("预留字段2")
   private String reserved2;
   @ApiModelProperty("预留字段3")
   private String reserved3;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;
   @ApiModelProperty("三方卡号")
   private String thirdSerialNum;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("卡面号")
   private String cardFaceNum;
   @ApiModelProperty("发卡来源")
   private String cardSourceType;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getAccId() {
      return this.accId;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getCardType() {
      return this.cardType;
   }

   public Integer getCardStatus() {
      return this.cardStatus;
   }

   public Integer getDeposit() {
      return this.deposit;
   }

   public Integer getProductCost() {
      return this.productCost;
   }

   public Integer getPendProductCost() {
      return this.pendProductCost;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public String getReserved1() {
      return this.reserved1;
   }

   public String getReserved2() {
      return this.reserved2;
   }

   public String getReserved3() {
      return this.reserved3;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getThirdSerialNum() {
      return this.thirdSerialNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCardFaceNum() {
      return this.cardFaceNum;
   }

   public String getCardSourceType() {
      return this.cardSourceType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setCardNum(final Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCardType(final Integer cardType) {
      this.cardType = cardType;
   }

   public void setCardStatus(final Integer cardStatus) {
      this.cardStatus = cardStatus;
   }

   public void setDeposit(final Integer deposit) {
      this.deposit = deposit;
   }

   public void setProductCost(final Integer productCost) {
      this.productCost = productCost;
   }

   public void setPendProductCost(final Integer pendProductCost) {
      this.pendProductCost = pendProductCost;
   }

   public void setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
   }

   public void setReserved1(final String reserved1) {
      this.reserved1 = reserved1;
   }

   public void setReserved2(final String reserved2) {
      this.reserved2 = reserved2;
   }

   public void setReserved3(final String reserved3) {
      this.reserved3 = reserved3;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setThirdSerialNum(final String thirdSerialNum) {
      this.thirdSerialNum = thirdSerialNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCardFaceNum(final String cardFaceNum) {
      this.cardFaceNum = cardFaceNum;
   }

   public void setCardSourceType(final String cardSourceType) {
      this.cardSourceType = cardSourceType;
   }
}
